
import java.util.Random;

public class KnightFightEngine {
	
	Figure tabla[][];
	int poz[][];
	Random gen;
	String bela[]={"K[Bela].png","S[Bela].png"};
	String crna[]={"K[Crna].png","S[Crna].png"};
	int moves=0,vuce=1;
	
	public int getMoves() {
		return(moves);
		
	}
	
	public Figure getFigure(int i, int j) {
		return(tabla[i][j]);
	}
	
	public KnightFightEngine() {
		tabla= new Figure[8][8];
		poz= new int[8][8];
		gen= new Random();
		initialize();

	}
	
	public void initialize() {
		moves=0;
		vuce=1;
		for (int i=0;i<8;i++)
			for (int j=0;j<8;j++) {
				poz[i][j]=0;
				tabla[i][j]=null;
			}
		
		Figure skakac = new Skakac(bela[1]);
		for(int i=0;i<3;i++) deployFigure(0, skakac);
		Figure kralj = new Kralj(bela[0]);
		deployFigure(0, kralj);
		
		Figure skakac1 = new Skakac(crna[1]);
		for(int i=0;i<3;i++) deployFigure(7, skakac1);
		Figure kralj1 = new Kralj(crna[0]);
		deployFigure(7, kralj1);
	}
	
	// Postavlja figuru na slobodno nasumicno polje u i-tom redu
	private void deployFigure(int i, Figure figure) {
		int kol= gen.nextInt(8);
		while (tabla[i][kol]!=null) kol= gen.nextInt(8);
		if (i==0) poz[i][kol]=1;
		else poz[i][kol]=2;
		tabla[i][kol]=figure;	
	}
	
	public boolean move(int fromI, int fromJ, int toI, int toJ) {
		System.out.println("Ovde sam!!!");
		//if (poz[toI][toJ]==poz[fromI][fromJ]) return(false);
		//if (poz[toI][toJ]==vuce){
		//if (poz[toI][toJ]!=vuce) return(false);
		Figure tek= getFigure(fromI, fromJ);
		tek.setI(fromI);
		tek.setJ(fromJ);
		System.out.println("Na ovom polju je slika: "+tek.getSlika());
		moves++;
		if (vuce==1) vuce=2;
		else vuce=1;
		return(tek.moze(toI, toJ));
		
		//return(false);
		
	}
	
	public boolean isEnd() {
		return(false);
		
	}
	
	public String getWinner() {
		if (vuce==1) return("BELI");
		else return("CRNI");
		
	}
}