import java.util.Random;


public class Engine {
	int brojPoteza;
	int[][] tabla = new int[8][8];
	public void popuni(){
		for(int i=0;i<8;i++)
			for(int j=0;j<8;j++)
				tabla[i][j]=0;
	}
	
	public boolean proveri(){
		boolean pom=false;
		
		if(tabla[1][1]==1 && tabla[5][5]==1 &&
		   tabla[2][2]==1 && tabla[6][6]==1 &&
		   tabla[3][3]==1 && tabla[7][7]==1 &&
		   tabla[4][4]==1 && tabla[0][0]==1)
		   pom=true;
		else 		
		for(int i=0;i<8;i++){
			if(tabla[i][0]==1 && tabla[i][1]==1 &&
			   tabla[i][2]==1 && tabla[i][3]==1 &&
			   tabla[i][4]==1 && tabla[i][5]==1 &&
			   tabla[i][6]==1 && tabla[i][7]==1)
			   pom=true;
			else if(tabla[0][i]==1 && tabla[1][i]==1 &&
					tabla[2][i]==1 && tabla[3][i]==1 &&
					tabla[4][i]==1 && tabla[5][i]==1 &&
					tabla[6][i]==1 && tabla[7][i]==1)
					pom=true;
			else pom=false;
		}
		return pom;
	}
	
	public boolean prebaci(int prvaX, int prvaY, int drugaX, int drugaY){
		boolean pom=false;
		if(tabla[drugaX][drugaY]==0)
		{
			tabla[drugaX][drugaY]=1;
			tabla[prvaX][prvaY]=0;
			pom=true;
			brojPoteza++;
		}
		
		return pom;
	}
	
	public void nova(){
		popuni();
		Random r = new Random(7);
		int pom=0;
		while(pom<8){
			int x=r.nextInt();
			int y=r.nextInt();
			if(tabla[x][y]==0)
			{
				tabla[x][y]=1;
				pom++;
			}
		}
	}
}
