import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;


public class GUI {

	static JFrame prozor = new JFrame("N Pesaka");
	static JButton[][] tabla = new JButton[8][8];
	static boolean prvoPolje=false;
	static boolean drugoPolje=false;
	int prvoX=0;
	int prvoY=0;
	int drugoX=0;
	int drugoY=0;
	
	public static void main(String[] args){
		
		prozor.setBounds(100, 100, 500, 500);
		prozor.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

		final Engine igra = new Engine();
		
		JPanel sever = new JPanel();
		JPanel centar = new JPanel(new GridLayout(8,8));
		
		JLabel brojPoteza = new JLabel("Poteza: 0");
		sever.add(brojPoteza,FlowLayout.LEFT);
		
		
		for(int i=0;i<8;i++)
			for(int j=0;j<8;j++)
			{
				tabla[i][j]=new JButton();
				centar.add(tabla[i][j]);
			}
		
		for( int i=0;i<8;i++)
			for( int j=0;j<8;j++)
			{
				tabla[i][j].addActionListener(new ActionListener() {
					public void actionPerformed(ActionEvent arg0) {
						if(prvoPolje==false)
						{
							prvoPolje=true;
							prvoX=i;
							prvoY=j;
						}
						else if(drugoPolje==false)
						{
							drugoPolje=true;
							drugoX=i;
							drugoY=j;
						}
						igra.prebaci(prvoX, prvoY, drugoX, drugoY);
					}
				});
			}
		
		prozor.add(sever,BorderLayout.NORTH);
		prozor.add(centar,BorderLayout.CENTER);
		prozor.setVisible(true);
		igra.nova();
		for( int i=0;i<8;i++)
			for( int j=0;j<8;j++)
			{
				if(igra.tabla[i][j]==1)
					tabla[i][j].setText("x");
			}
	}
	
}
