package sah;

public class Igra extends Thread{
	private Tabla tabla;
	private int naRedu;
	private boolean nijeKraj;
	private Dugme oznaceno;
	private Dugme potez;
	private int x1,y1,x2,y2;
	private int brPoteza=0;
	private Podloga podloga;
	Figura f1;
	
	
	public Igra(Tabla t,Podloga p){
		tabla=t;
		nijeKraj=true;
		naRedu=0;
		podloga=p;
	}

	
	public void run(){
		while(nijeKraj){
			podloga.postaviNaRedu(naRedu);
			do{
				oznaceno=tabla.getIzabrano();
			}while(oznaceno.getIgrac()!=naRedu);
			x1=oznaceno.getX();
			y1=oznaceno.getY();
			f1=oznaceno.getFigura();
			boolean igraSe=true;
			do{
				potez=tabla.getIzabrano();
				if(f1 instanceof Kralj){
					x2=potez.getX();
					y2=potez.getY();
					int dx = x2 -x1; if(dx<0)dx=-dx;
					int dy = y2 -y1; if(dy<0)dy=-dy;
					Figura f2 = oznaceno.getFigura();
					if(f2.getIgrac()==f1.getIgrac()) {igraSe=true;}
					else{
						if(((dx==0 && dy==1) || (dx==1 && dy==0))||(dx==1||dy==1)){
							tabla.skloni(x1,y1);
							potez.setFigura(f1);
							potez.otkrijSe();
							igraSe=false;
							if(f2 instanceof Kralj) nijeKraj=false;
						}
					
					}
				}
				else{//
					x2=potez.getX();
					y2=potez.getY();
					int dx = x2 -x1; if(dx<0)dx=-dx;
					int dy = y2 -y1; if(dy<0)dy=-dy;
					Figura f2 = oznaceno.getFigura();
					if(f2.getIgrac()==f1.getIgrac()) {igraSe=true;}
					else{
						if(proveri(x1,y1,x2,y2)){
							tabla.skloni(x1,y1);
							potez.setFigura(f1);
							potez.otkrijSe();
							igraSe=false;
							if(f2 instanceof Kralj) nijeKraj=false;
						}
					}
				}
			}while(igraSe);
			brPoteza++;
			naRedu=(brPoteza)%2;
		}
		System.out.println("Igra se zavrsila");
	}// kraj za Run

	
	public boolean proveri(int x1, int y1, int x2, int y2){
		if(x2-x1>2|| x2-x1<-2) return false;
		if(y2-y1>2||y2-y1<-2) return false;
		int dy = y2-y1; if(dy<0) dy=-dy;
		int dx = x2 -x2; if(dx<0) dx=-dx;
		if(dx==1 && dy==2) return true;
		if(dy==1 && dx==2) return true;
		return true;
	}
}
