package sah;

import java.awt.BorderLayout;
import java.awt.FlowLayout;
import java.awt.GridLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;

public class Podloga extends JFrame{
	private Tabla tabla;
	private JLabel brojPoteza;
	private JLabel koJeNaRedu;
	private JButton novaIgra; 
	private Igra igra;
	
	public Podloga(){
		super("Sah");
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		this.setBounds(10,10,500,500);
		getContentPane().setLayout(new BorderLayout());
		
	
		postaviCentar();
		postaviLabele();
		//this.getContentPane().add(tabla,BorderLayout.CENTER);
		
		postaviJug();
		
		igra = new Igra(tabla,this);
		
		setVisible(true);
	//	pack();
	}
	private void postaviCentar(){
		JButton dugme = new JButton("eee");
		//tabla = new Tabla();
		JPanel p = new JPanel(new GridLayout(8, 8));
		for(int i=0;i<8;i++)
			for(int j=0;j<8;j++){
				JButton d = new Dugme(i,j);
				p.add(d);
			}
		this.getContentPane().add(p,BorderLayout.CENTER);
	}
	
	private void postaviLabele(){
		brojPoteza = new JLabel("Broj poteza");
		koJeNaRedu = new JLabel("          h  ");
		JPanel ploca = new JPanel();
		ploca.setLayout(new FlowLayout());
		
		ploca.add(brojPoteza);
		ploca.add(koJeNaRedu);
		
		this.getContentPane().add(ploca, BorderLayout.NORTH);
	}
	
	private void postaviJug(){
		JPanel ploca = new JPanel();
		ploca.setLayout(new FlowLayout());
		
		novaIgra = new JButton("Nova Igra");
		novaIgra.addActionListener(new ActionListener(){
			public void actionPerformed(ActionEvent ae){
				tabla.postaviFigure();
		//		igra.run();
			}
		});
		ploca.add(novaIgra);
		this.getContentPane().add(ploca,BorderLayout.SOUTH);
	}
	
	public void postaviNaRedu(int t){
		if(t==0)
			koJeNaRedu.setText("Na redu je beli");
		else
			koJeNaRedu.setText("Na redu je crni");
		
	}

}
