import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Container;

import java.awt.GridLayout;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.ImageIcon;
import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.border.LineBorder;



public class MojProzor extends JFrame{
	Container cp;
	MojeDugme dugme[][]=new MojeDugme[8][8];
	public MojProzor(String naziv){
		super(naziv);
		cp=getContentPane();
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setBounds(100, 100, 480, 520);
		kostur();
		resetZauzeto();
		setResizable(false);
		setVisible(true);
	}
	
	private void kostur(){
		namestiSever();
		namestiCentar();
	}
	
	private void namestiSever(){
		JPanel sever=new JPanel();
		JLabel potez=new JLabel("Poteza: 0");
		potez.setBackground(Color.gray);
		sever.add(potez);
		cp.add(sever,BorderLayout.NORTH);
	}
	
	private void namestiCentar(){
		int i;
		int j;
		JPanel centar=new JPanel(new GridLayout(8,8));

		for(i=0;i<8;i++)
			for(j=0;j<8;j++){
				dugme[i][j]=new MojeDugme();
				centar.add(dugme[i][j]);
				
				if((i%2==0) && (j%2==0)) dugme[i][j].setBackground(Color.WHITE);
				if((i%2!=0) && (j%2!=0)) dugme[i][j].setBackground(Color.WHITE);
				if((i%2!=0) && (j%2==0)) dugme[i][j].setBackground(Color.GRAY);
				if((i%2==0) && (j%2!=0)) dugme[i][j].setBackground(Color.GRAY);
				
				dugme[i][j].setBorder(new LineBorder(Color.cyan,1));
				dugme[i][j].addActionListener(new ActionListener() {
					public void actionPerformed(ActionEvent arg0) {
						System.out.println("pretisnuo");
					}
				});
			}


		cp.add(centar,BorderLayout.CENTER);
		pokreni();
	}
	
	private void resetZauzeto(){
		for(int i=0;i<8;i++)
			for(int j=0;j<8;j++)
				dugme[i][j].zauzeto=0;

	}
	
	private void pokreni(){
		int i,j;
		for(int k=0;k<8;k++){
			i=(int)(0+Math.random()*8);
			j=(int)(0+Math.random()*8);
			System.out.println("i: "+i+" j: "+j);
			if(dugme[i][j].zauzeto==0){
			//if(zauzeto[i][j]==0){
				//dugme[i][j].setBackground(Color.RED);//nije zauzeto
				dugme[i][j].zauzeto=1;//zauzimam
				//dugme[i][j].setText("X");
				dugme[i][j].setIcon( new ImageIcon("K[Bela].png"));
				

			}
			else k--;
		}
	}
	

	
}

class MojeDugme extends JButton{
	int zauzeto;
	
}
